%global debug_package %{nil}

# Use bundled deps as we don't ship the exact right versions for all the
# required rust libraries
%global bundled_rust_deps 0

Name:           sequoia-octopus-librnp-hackhack
Version:        0.1.0
Release:        1%{?dist}
Summary:        A sequoia library adapter to librng API

# * gnome-tour source code is GPLv3+
# * fedora-initial-intro.webm is CC-BY-SA
# * bundled rust crates all include either MIT or GPLv3+ as one of the possible
#   licenses, which when compiled into gnome-tour binary together with GPLv3+
#   gnome-tour source code results in effective GPLv3+ for the resulting binary
License:        GPLv3+ and CC-BY-SA
URL:            https://gitlab.com/sequoia-pgp/sequoia-octopus-librnp
Source0:        https://gitlab.com/sequoia-pgp/sequoia-octopus-librnp/-/archive/hackhack/sequoia-octopus-librnp-hackhack.tar.bz2
Source1:        sequoia-vendor.tar.xz

%if 0%{?bundled_rust_deps}
BuildRequires:  cargo
BuildRequires:  rust
%else
BuildRequires:  rust-packaging
%endif
BuildRequires:  llvm
BuildRequires:  llvm-devel
BuildRequires:  clang
BuildRequires:  clang-libs
BuildRequires:  clang-devel
BuildRequires:  nettle-devel
BuildRequires:  nettle

%description
A guided tour and greeter for GNOME.


%prep
%setup -n sequoia-octopus-librnp-hackhack
%cargo_prep


%build
%{__tar} xf %{SOURCE1}
mkdir -p .cargo
cat > .cargo/config <<EOL
[source.crates-io]
replace-with = "vendored-sources"

[source."https://gitlab.com/sequoia-pgp/sequoia"]
git = "https://gitlab.com/sequoia-pgp/sequoia"
branch = "main"
replace-with = "vendored-sources"

[source.vendored-sources]
directory = "`pwd`/vendor"
EOL

export CARGO_HOME=.cargo
env CARGO_HOME=.cargo cargo build -vv

#%cargo_build


%install
#cargo install --path .
mkdir -p  %{buildroot}/%{_libdir}/thunderbird
cp target/release/libsequoia_octopus_librnp.so %{buildroot}/%{_libdir}/thunderbird


%files
%{_libdir}/thunderbird/libsequoia_octopus_librnp*

%changelog
* Fri 05 Feb 2021 Jan Horak <jhorak@redhat.com>
- Initial Fedora packaging
